import { useLayoutEffect, useState } from "react";
export default (aspectRatio) => {
    const [el, setEl] = useState(null);
    useLayoutEffect(() => {
        if (!el)
            return;
        const cb = () => {
            const { width } = el.getBoundingClientRect();
            const height = width / aspectRatio;
            el.style.height = height + "px";
        };
        cb();
        window.addEventListener("resize", cb);
        return () => {
            window.removeEventListener("resize", cb);
        };
    }, [el]);
    return setEl;
};
