import { useLayoutEffect, useState } from "react";
import "intersection-observer";
export default (threshold = 0.01) => {
    const [el, setEl] = useState(null);
    const [visible, setVisible] = useState(false);
    useLayoutEffect(() => {
        if (!el)
            return;
        const intersectionObserver = new IntersectionObserver(([entry]) => {
            setVisible(entry.intersectionRatio >= threshold);
        }, { threshold });
        intersectionObserver.observe(el);
        return () => {
            intersectionObserver.disconnect();
        };
    }, [el]);
    return [setEl, visible, el];
};
