import "tailwindcss/base.css"
import "tailwindcss/components.css"
import "tailwindcss/utilities.css"
import React from "react"
import ReactDOM from "react-dom"
import { mergeRefs, useResizeObserver, useVisibilityObserver } from "."

const App = () => {
    const [setEl, visible] = useVisibilityObserver()
    const [setResizeEl, size] = useResizeObserver()

    console.log({ visible, size })

    return (
        <>
            <div className="w-screen h-screen bg-yellow-300"></div>
            <div ref={mergeRefs(setEl, setResizeEl)} className="w-screen h-screen bg-blue-300"></div>
        </>
    )
}

ReactDOM.render(<App />, document.querySelector("#app"))
// module.hot?.accept()